> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrdn.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Gateway Health

> Read the running gateway's merchant and network configuration

Returns the gateway's relayer, facilitator, merchant contracts, and enabled
payment sources.

## Response fields

| Field                 | Meaning                                                                |
| --------------------- | ---------------------------------------------------------------------- |
| `ok`                  | The gateway process completed startup and is serving requests.         |
| `relayer`             | Base wallet that submits merchant deposits and refunds.                |
| `facilitator`         | Meridian facilitator contract used for Base settlement.                |
| `merchants`           | Configured merchant runtimes and their settlement chains.              |
| `merchants[].sources` | Enabled payment sources, token addresses, facilitators, and chain ids. |

<RequestExample>
  ```bash Request theme={"system"}
  curl "https://api-antseed.mrdn.finance/healthz"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={"system"}
  {
    "ok": true,
    "relayer": "0x…relayer",
    "facilitator": "0x8E7769D440b3460b92159Dd9C6D17302b036e2d6",
    "merchants": [
      {
        "id": "antseed",
        "chainId": "base-mainnet",
        "evmChainId": 8453,
        "network": "base",
        "asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
        "contract": "0x0F7a3a8f4Da01637d1202bb5443fcF7F88F99fD2",
        "relayer": "0x…relayer",
        "sources": [
          {
            "network": "base",
            "evmChainId": 8453,
            "asset": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
            "facilitator": "0x8E7769D440b3460b92159Dd9C6D17302b036e2d6",
            "sameChain": true
          }
        ]
      }
    ]
  }
  ```
</ResponseExample>
